> For the complete documentation index, see [llms.txt](https://api-docs.everreal.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.everreal.co/master/authentication-limitations.md).

# Authentication limitations

A maximum of 50 refresh tokens are allowed per combination if `client_id` and `user_id.` When this limit is exceeded, older refresh tokens are automatically deleted.

To be able to use our API, you will need an `access_token` that is generated most of the times via a `refresh_token`.  An `access_token` has usually a life-time of 1 hour, but a `refresh_token` has a bigger life time, by default from 4 weeks to 3 years.

| Token type      | Maximum tokens                 |
| --------------- | ------------------------------ |
| `refresh_token` | `50 per client_id and user_id` |
| `access_token`  | `Infinite`                     |

{% hint style="info" %}
Important:  Please make sure to store `refresh_token` in redis or some similar caching provider, and ALWAYS in a secure storage.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-docs.everreal.co/master/authentication-limitations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
